#include "piellipsoidmodel.h"


PIEllipsoidModel::PIEllipsoidModel() {
	a = 0.0;
	flattening = 0.0;
	eccentricity = 0.0;
	angVelocity = 0.0;
}


PIEllipsoidModel PIEllipsoidModel::WGS84Ellipsoid() {
	PIEllipsoidModel v;
	v.a = 6378137.0;
	v.flattening = 0.335281066475e-2;
	v.eccentricity = 8.1819190842622e-2;
	v.angVelocity = 7.292115e-5;
	return v;
}


PIEllipsoidModel PIEllipsoidModel::PZ90Ellipsoid() {
	PIEllipsoidModel v;
	v.a = 6378136.0;
	v.flattening = 3.35280373518e-3;
	v.eccentricity = 8.1819106432923e-2;
	v.angVelocity = 7.292115e-5;
	return v;
}


PIEllipsoidModel PIEllipsoidModel::GPSEllipsoid() {
	PIEllipsoidModel v = WGS84Ellipsoid();
	v.angVelocity = 7.2921151467e-5;
	return v;
}

